GroovyConsoleApplicationContext (Grails 6.0.0)

Package: grails.ui.console.support

## [Groovy] Class GroovyConsoleApplicationContext

- grails.ui.console.support.GroovyConsoleApplicationContext

-     @groovy.transform.CompileStatic
      @groovy.transform.InheritConstructors
      class GroovyConsoleApplicationContext
      extends org.springframework.context.support.GenericApplicationContext

  An org.springframework.context.ApplicationContext that loads the GroovyConsole and makes the ApplicationContext and Grails environment available to the console

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `GroovyConsoleApplicationContext.1` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.context.support.GenericApplicationContext` | `MESSAGE_SOURCE_BEAN_NAME, LIFECYCLE_PROCESSOR_BEAN_NAME, APPLICATION_EVENT_MULTICASTER_BEAN_NAME, CONFIG_LOCATION_DELIMITERS, CONVERSION_SERVICE_BEAN_NAME, LOAD_TIME_WEAVER_BEAN_NAME, ENVIRONMENT_BEAN_NAME, SYSTEM_PROPERTIES_BEAN_NAME, SYSTEM_ENVIRONMENT_BEAN_NAME, APPLICATION_STARTUP_BEAN_NAME, SHUTDOWN_HOOK_THREAD_NAME, FACTORY_BEAN_PREFIX, CLASSPATH_ALL_URL_PREFIX, CLASSPATH_URL_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyConsoleApplicationContext ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `finishRefresh()`
    `` | `protected void` | `startConsole()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.context.support.GenericApplicationContext` | `org.springframework.context.support.GenericApplicationContext#getAutowireCapableBeanFactory(), org.springframework.context.support.GenericApplicationContext#setAllowBeanDefinitionOverriding(boolean), org.springframework.context.support.GenericApplicationContext#setAllowCircularReferences(boolean), org.springframework.context.support.GenericApplicationContext#setApplicationStartup(org.springframework.core.metrics.ApplicationStartup), org.springframework.context.support.GenericApplicationContext#getBeanFactory(), org.springframework.context.support.GenericApplicationContext#getDefaultListableBeanFactory(), org.springframework.context.support.GenericApplicationContext#registerBeanDefinition(java.lang.String, org.springframework.beans.factory.config.BeanDefinition), org.springframework.context.support.GenericApplicationContext#removeBeanDefinition(java.lang.String), org.springframework.context.support.GenericApplicationContext#getBeanDefinition(java.lang.String), org.springframework.context.support.GenericApplicationContext#isBeanNameInUse(java.lang.String), org.springframework.context.support.GenericApplicationContext#registerAlias(java.lang.String, java.lang.String), org.springframework.context.support.GenericApplicationContext#removeAlias(java.lang.String), org.springframework.context.support.GenericApplicationContext#registerBean(java.lang.Class, java.util.function.Supplier, [Lorg.springframework.beans.factory.config.BeanDefinitionCustomizer;), org.springframework.context.support.GenericApplicationContext#registerBean(java.lang.String, java.lang.Class, java.util.function.Supplier, [Lorg.springframework.beans.factory.config.BeanDefinitionCustomizer;), org.springframework.context.support.GenericApplicationContext#registerBean(java.lang.String, java.lang.Class, [Ljava.lang.Object;), org.springframework.context.support.GenericApplicationContext#registerBean(java.lang.String, java.lang.Class, [Lorg.springframework.beans.factory.config.BeanDefinitionCustomizer;), org.springframework.context.support.GenericApplicationContext#registerBean(java.lang.Class, [Ljava.lang.Object;), org.springframework.context.support.GenericApplicationContext#registerBean(java.lang.Class, [Lorg.springframework.beans.factory.config.BeanDefinitionCustomizer;), org.springframework.context.support.GenericApplicationContext#setResourceLoader(org.springframework.core.io.ResourceLoader), org.springframework.context.support.GenericApplicationContext#isAlias(java.lang.String), org.springframework.context.support.GenericApplicationContext#setClassLoader(java.lang.ClassLoader), org.springframework.context.support.GenericApplicationContext#getClassLoader(), org.springframework.context.support.GenericApplicationContext#getResource(java.lang.String), org.springframework.context.support.GenericApplicationContext#getResources(java.lang.String), org.springframework.context.support.GenericApplicationContext#setParent(org.springframework.context.ApplicationContext), org.springframework.context.support.GenericApplicationContext#getAliases(java.lang.String), org.springframework.context.support.GenericApplicationContext#isSingleton(java.lang.String), org.springframework.context.support.GenericApplicationContext#isRunning(), org.springframework.context.support.GenericApplicationContext#containsBean(java.lang.String), org.springframework.context.support.GenericApplicationContext#publishEvent(java.lang.Object), org.springframework.context.support.GenericApplicationContext#publishEvent(org.springframework.context.ApplicationEvent), org.springframework.context.support.GenericApplicationContext#getBeanNamesForAnnotation(java.lang.Class), org.springframework.context.support.GenericApplicationContext#getBeansWithAnnotation(java.lang.Class), org.springframework.context.support.GenericApplicationContext#findAnnotationOnBean(java.lang.String, java.lang.Class, boolean), org.springframework.context.support.GenericApplicationContext#findAnnotationOnBean(java.lang.String, java.lang.Class), org.springframework.context.support.GenericApplicationContext#containsLocalBean(java.lang.String), org.springframework.context.support.GenericApplicationContext#getParentBeanFactory(), org.springframework.context.support.GenericApplicationContext#getBeansOfType(java.lang.Class, boolean, boolean), org.springframework.context.support.GenericApplicationContext#getBeansOfType(java.lang.Class), org.springframework.context.support.GenericApplicationContext#containsBeanDefinition(java.lang.String), org.springframework.context.support.GenericApplicationContext#getBeanDefinitionCount(), org.springframework.context.support.GenericApplicationContext#getBeanDefinitionNames(), org.springframework.context.support.GenericApplicationContext#getBeanNamesForType(java.lang.Class), org.springframework.context.support.GenericApplicationContext#getBeanNamesForType(java.lang.Class, boolean, boolean), org.springframework.context.support.GenericApplicationContext#getBeanNamesForType(org.springframework.core.ResolvableType, boolean, boolean), org.springframework.context.support.GenericApplicationContext#getBeanNamesForType(org.springframework.core.ResolvableType), org.springframework.context.support.GenericApplicationContext#getBeanProvider(java.lang.Class), org.springframework.context.support.GenericApplicationContext#getBeanProvider(org.springframework.core.ResolvableType), org.springframework.context.support.GenericApplicationContext#getBeanProvider(org.springframework.core.ResolvableType, boolean), org.springframework.context.support.GenericApplicationContext#getBeanProvider(java.lang.Class, boolean), org.springframework.context.support.GenericApplicationContext#isPrototype(java.lang.String), org.springframework.context.support.GenericApplicationContext#isTypeMatch(java.lang.String, org.springframework.core.ResolvableType), org.springframework.context.support.GenericApplicationContext#isTypeMatch(java.lang.String, java.lang.Class), org.springframework.context.support.GenericApplicationContext#getStartupDate(), org.springframework.context.support.GenericApplicationContext#getApplicationStartup(), org.springframework.context.support.GenericApplicationContext#addBeanFactoryPostProcessor(org.springframework.beans.factory.config.BeanFactoryPostProcessor), org.springframework.context.support.GenericApplicationContext#addApplicationListener(org.springframework.context.ApplicationListener), org.springframework.context.support.GenericApplicationContext#getBeanFactoryPostProcessors(), org.springframework.context.support.GenericApplicationContext#getApplicationListeners(), org.springframework.context.support.GenericApplicationContext#getEnvironment(), org.springframework.context.support.GenericApplicationContext#getEnvironment(), org.springframework.context.support.GenericApplicationContext#setDisplayName(java.lang.String), org.springframework.context.support.GenericApplicationContext#setEnvironment(org.springframework.core.env.ConfigurableEnvironment), org.springframework.context.support.GenericApplicationContext#setId(java.lang.String), org.springframework.context.support.GenericApplicationContext#getBean(java.lang.Class, [Ljava.lang.Object;), org.springframework.context.support.GenericApplicationContext#getBean(java.lang.Class), org.springframework.context.support.GenericApplicationContext#getBean(java.lang.String), org.springframework.context.support.GenericApplicationContext#getBean(java.lang.String, java.lang.Class), org.springframework.context.support.GenericApplicationContext#getBean(java.lang.String, [Ljava.lang.Object;), org.springframework.context.support.GenericApplicationContext#getApplicationName(), org.springframework.context.support.GenericApplicationContext#registerShutdownHook(), org.springframework.context.support.GenericApplicationContext#getDisplayName(), org.springframework.context.support.GenericApplicationContext#refresh(), org.springframework.context.support.GenericApplicationContext#toString(), org.springframework.context.support.GenericApplicationContext#getParent(), org.springframework.context.support.GenericApplicationContext#getMessage(java.lang.String, [Ljava.lang.Object;, java.lang.String, java.util.Locale), org.springframework.context.support.GenericApplicationContext#getMessage(java.lang.String, [Ljava.lang.Object;, java.util.Locale), org.springframework.context.support.GenericApplicationContext#getMessage(org.springframework.context.MessageSourceResolvable, java.util.Locale), org.springframework.context.support.GenericApplicationContext#start(), org.springframework.context.support.GenericApplicationContext#stop(), org.springframework.context.support.GenericApplicationContext#getId(), org.springframework.context.support.GenericApplicationContext#destroy(), org.springframework.context.support.GenericApplicationContext#close(), org.springframework.context.support.GenericApplicationContext#getType(java.lang.String), org.springframework.context.support.GenericApplicationContext#getType(java.lang.String, boolean), org.springframework.context.support.GenericApplicationContext#isActive(), org.springframework.context.support.GenericApplicationContext#addProtocolResolver(org.springframework.core.io.ProtocolResolver), org.springframework.context.support.GenericApplicationContext#getProtocolResolvers(), org.springframework.context.support.GenericApplicationContext#clearResourceCaches(), org.springframework.context.support.GenericApplicationContext#getResourceCache(java.lang.Class), org.springframework.context.support.GenericApplicationContext#wait(long), org.springframework.context.support.GenericApplicationContext#wait(long, int), org.springframework.context.support.GenericApplicationContext#wait(), org.springframework.context.support.GenericApplicationContext#equals(java.lang.Object), org.springframework.context.support.GenericApplicationContext#hashCode(), org.springframework.context.support.GenericApplicationContext#getClass(), org.springframework.context.support.GenericApplicationContext#notify(), org.springframework.context.support.GenericApplicationContext#notifyAll()`

- - ### Constructor Detail

    - #### GroovyConsoleApplicationContext()

  - ### Method Detail

    - #### @java.lang.Override protected void finishRefresh()

    - #### protected void startConsole()